# Utility Functions

- [Printf utils](https://mwx.twelite.info/latest_en/api-reference/funcs/utility/printf-utils.md): Printf utils
- [pack\_bits()](https://mwx.twelite.info/latest_en/api-reference/funcs/utility/pack_bits.md): Sets 1 at the specified bit position.
- [collect\_bits()](https://mwx.twelite.info/latest_en/api-reference/funcs/utility/collect_bits.md): Generating bitmaps with specified order.
- [Byte array utils](https://mwx.twelite.info/latest_en/api-reference/funcs/utility/byte-array-utils.md): Byte array utils
- [pack\_bytes()](https://mwx.twelite.info/latest_en/api-reference/funcs/utility/pack_bytes.md): Generates a sequence of bytes by arranging element data.
- [expand\_bytes()](https://mwx.twelite.info/latest_en/api-reference/funcs/utility/expand_bytes.md): Decompose a sequence of bytes and store it in a variable.
- [CRC8, XOR, LRC](https://mwx.twelite.info/latest_en/api-reference/funcs/utility/checksum.md): functions for calculating checksums.
- [div100()](https://mwx.twelite.info/latest_en/api-reference/funcs/utility/div100.md): Fast divisions by 10, 100 or 1000.
- [Scale utils](https://mwx.twelite.info/latest_en/api-reference/funcs/utility/scale-utils.md): scaling function between 0..1000 and 0..255.
- [pnew](https://mwx.twelite.info/latest_en/api-reference/funcs/utility/pnew.md): pnew() - Simplify the description of placement new


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mwx.twelite.info/latest_en/api-reference/funcs/utility.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
